<?php
// +----------------------------------------------------------------------
// | likeadmin快速开发前后端分离管理后台（PHP版）
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | 开源版本可自由商用，可去除界面版权logo
// | gitee下载：https://gitee.com/likeshop_gitee/likeadmin
// | github下载：https://github.com/likeshop-github/likeadmin
// | 访问官网：https://www.likeadmin.cn
// | likeadmin团队 版权所有 拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeadminTeam
// +----------------------------------------------------------------------


namespace app\adminapi\controller\fault_type;


use app\adminapi\controller\BaseAdminController;
use app\adminapi\lists\fault_type\FaultTypeLists;
use app\adminapi\logic\fault_type\FaultTypeLogic;
use app\adminapi\validate\fault_type\FaultTypeValidate;


/**
 * FaultType控制器
 * Class FaultTypeController
 * @package app\adminapi\controller
 */
class FaultTypeController extends BaseAdminController
{


    /**
     * @notes 获取列表
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/10/18 15:09
     */
    public function lists()
    {
        //return $this->dataLists(new FaultTypeLists());
        $params = $this->request->get();
        $result = FaultTypeLogic::lists($params);
        return $this->success('',$result);
    }


    /**
     * @notes 添加
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/10/18 15:09
     */
    public function add()
    {
        $params = (new FaultTypeValidate())->post()->goCheck('add');
        $result = FaultTypeLogic::add($params);
        if (true === $result) {
            return $this->success('添加成功', [], 1, 1);
        }
        return $this->fail(FaultTypeLogic::getError());
    }


    /**
     * @notes 编辑
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/10/18 15:09
     */
    public function edit()
    {
        $params = (new FaultTypeValidate())->post()->goCheck('edit');
        $result = FaultTypeLogic::edit($params);
        if (true === $result) {
            return $this->success('编辑成功', [], 1, 1);
        }
        return $this->fail(FaultTypeLogic::getError());
    }


    /**
     * @notes 删除
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/10/18 15:09
     */
    public function delete()
    {
        $params = (new FaultTypeValidate())->post()->goCheck('delete');
        FaultTypeLogic::delete($params);
        return $this->success('删除成功', [], 1, 1);
    }


    /**
     * @notes 获取详情
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/10/18 15:09
     */
    public function detail()
    {
        $params = (new FaultTypeValidate())->goCheck('detail');
        $result = FaultTypeLogic::detail($params);
        return $this->data($result);
    }

    public function all()
    {
        $result = FaultTypeLogic::getAllData();
        return $this->data($result);
    }
}